package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 违规词语对象 fastgpt_chat_replace_words
 *
 * @author fs
 * @date 2025-01-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FastGptChatReplaceWords extends BaseEntity{

    /** id */
    private Long id;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;

    /** 原来的文本 */
    @Excel(name = "原来的文本")
    private String content;

    /** 变更后的文本 */
    @Excel(name = "变更后的文本")
    private String changeCount;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setChangeCount(String changeCount)
    {
        this.changeCount = changeCount;
    }

    public String getChangeCount()
    {
        return changeCount;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }

}
